# pandas.Period

class `pandas.``Period`

  Represents a period of time

  Parameters:

  value : Period or compat.string_types, default None

  > The time period represented (e.g., ‘4Q2005’)

  freq : str, default None

  > One of pandas period strings or corresponding objects

  year : int, default None

  month : int, default 1

  quarter : int, default None

  day : int, default 1

  hour : int, default 0

  minute : int, default 0

  second : int, default 0

  Attributes

  `day` |
  `dayofweek` |
  `dayofyear` |
  `days_in_month` |
  `daysinmonth` |
  `end_time` |
  `freq` |
  `freqstr` |
  `hour` |
  `is_leap_year` |
  `minute` |
  `month` |
  `ordinal` |
  `quarter` |
  `qyear` |
  `second` |
  `start_time` |
  `week` |
  `weekday` |
  `weekofyear` |
  `year` |

  Methods

  `asfreq` | Convert Period to desired frequency, either at the start or end of the
  `now` |
  `strftime` | Returns the string representation of the `Period`, depending on the selected `format`.
  `to_timestamp` | Return the Timestamp representation of the Period at the target

Scroll To Top